<?php

namespace App\Models;

class BookTable extends DB
{
    private $db;
    private $getClient;
    function __construct($domain=null) 
    {
        $this->db = new DB();
    
        if($domain!=null)
        {
        $getClientDetails=$this->db->getClientDetailsByDomain($domain);
        $client_id=isset($getClientDetails->client_id)?$getClientDetails->client_id:'';
        $this->getClient=new Client($client_id);
        
        
        }
    
    }

    function getOpenClose()
    {
        
        $getOpenClose = $this->getClient->query("CALL getOpenClose()");
       
        return $getOpenClose;
    }

    function getHoliday()
    {
        
        $getHoliday = $this->getClient->queryall("CALL getHoliday()");
       
        return $getHoliday;
    }

    function getBankHoliday()
    {
        
        $getBankHoliday = $this->getClient->queryall("CALL getBankHoliday()");
       
        return $getBankHoliday;
    }

    function checkBookingDeposite()
    {
        
        $checkBookingDeposite = $this->getClient->query("CALL checkBookingDeposite()");
       
        return $checkBookingDeposite;
    }

    function addReservation($checkAvailable, $amount)
    {
        date_default_timezone_set('Europe/London');
        $table = strtotime($checkAvailable['date'] . "" . $checkAvailable['time']);
        $datetime = time();
      
        $addReservation = $this->getClient->query("CALL addReservation('$checkAvailable[firstname]','$checkAvailable[lastname]','$checkAvailable[email]','$checkAvailable[phone]','$datetime','$table','$checkAvailable[people]','$checkAvailable[notes]',$amount,@new_id)");
       
        return $addReservation;
    }

    function addReservationWithCustomerId($checkAvailable, $amount)
    {
        date_default_timezone_set('Europe/London');
        $table = strtotime($checkAvailable['date'] . "" . $checkAvailable['time']);
        $datetime = time();
        
        $bookClientId="";
        $bookDomain=$checkAvailable['domain'];
        $bookClientId_query=$this->query("CALL getClientDetailsByDomain('$bookDomain')");
        $addReservation = $this->getClient->query("CALL addReservationWithCustomerId('$checkAvailable[firstname]','$checkAvailable[lastname]','$checkAvailable[email]','$checkAvailable[phone]','$datetime','$table','$checkAvailable[people]','$checkAvailable[notes]',$amount,'$checkAvailable[customer_id]',@new_id)");
       
        
        if(isset($bookClientId_query->client_id))
        {
            $bookClientId=$bookClientId_query->client_id;
            $addReservationFK = $this->query("CALL addReservationWithCustomerIdFK('$bookClientId','$addReservation->inserted_id','$checkAvailable[firstname]','$checkAvailable[lastname]','$checkAvailable[email]','$checkAvailable[phone]','$datetime','$table','$checkAvailable[people]','$checkAvailable[notes]',$amount,'$checkAvailable[customer_id]',@new_id)");
        }
        
        return $addReservation;
    }

    function addBookUser($checkAvailable)
    {
        $alreayExist = $this->getCustomer($checkAvailable['phone'], $checkAvailable['domain']);
        if (!empty($alreayExist)) {
          
            $addBookUser = $this->getClient->query("CALL addBookUser('$checkAvailable[firstname]','$checkAvailable[lastname]','$checkAvailable[phone]','$checkAvailable[email]')");
           
            return $addBookUser;
        }
    }

    function getCustomer($phone, $domain)
    {
        
        $getCustomer = $this->getClient->query("CALL getCustomer('$phone')");
       
        return $getCustomer;
    }

    function getTableAvailability($domain, $date)
    {
        
        $getHoliday = $this->getClient->query("CALL getTableAvailability('$date')");
       
        return $getHoliday;
    }

    function getRestTiming()
    {
        
        $getHoliday = $this->getClient->query("CALL getRestTiming()");
       
        return $getHoliday;
    }

    function createBookingDeposit($domain, $bookingId, $transaction)
    {
        
        $createBookingDeposit = $this->getClient->query("CALL createBookingDeposit($bookingId, '$transaction', @new_id)");
       
        return $createBookingDeposit;
    }

    function checkUserWithEmail($domain, $email_id)
    {
        $checkUserWithEmail = $this->query("CALL checkCustomerByEmail('$email_id')");
        return $checkUserWithEmail;
    }
    public function createCustomerByEmail($email, $firstName, $lastName)
    {
        return $this->query("CALL createCustomerByEmail('$email', '$firstName', '$lastName', @insert_id)");
    }
    public function createUserByEmail($email, $client_id, $loginType, $verficationCode)
    {
        return $this->query("CALL createUserByEmail('$email',$client_id, $loginType, '$verficationCode')");
    }

    public function connectionClose()
    {
        $this->getClient->connectionClose();
    }
}
