<?php

namespace App\Models;

use App\Models\Client;

class ClientLocation extends Client
{
    public function getLocation()
    {
        $location = $this->query("SELECT * FROM `tbl_location`");

        return [
            'code' => (isset($location->currency) ? $location->currency : "GBP"),
            'symbol' => html_entity_decode((isset($location->symbol) ? $location->symbol : '&#163;'), ENT_NOQUOTES, 'UTF-8')
        ];
    }
}