<?php
namespace App\Models;
    
    Class ClientSeo extends DB
    {
        private $db;
        private $getClient;
        function __construct($domain=null) 
        {
            $this->db = new DB();
        
            if($domain!=null)
            {
            $getClientDetails=$this->db->getClientDetailsByDomain($domain);
            $client_id=isset($getClientDetails->client_id)?$getClientDetails->client_id:'';
            $this->getClient=new Client($client_id);
            
            
            }
        
        }

        function getSeoData()
        {
            
            $getSeoData = $this->getClient->query("CALL getSeoData()");
            
            return $getSeoData;
        }

        function getSeoOGData($url) 
        {
            $getSeoData = $this->getClient->queryAll("
                SELECT *, CONCAT('$url', og_image) AS full_og_image 
                FROM tbl_seoog_details
            ");
            return $getSeoData;
        }

        function getMeta()
        {
            
            $getMeta = $this->getClient->queryall("CALL getMeta()");
          
            $getMeta = json_decode(json_encode($getMeta), true);
            return $getMeta;
        }

        function getPageTitle()
        {
           
            $getPageTitle = $this->getClient->queryall("CALL getPageTitle()");
       
            $getPageTitle = json_decode(json_encode($getPageTitle), true);
            return $getPageTitle;
        }
        public function connectionClose()
        {
            $this->getClient->connectionClose();
        }
    }