<?php

namespace App\Models;

use App\Models\Client;

class Location extends Client
{
    public function getCurrency()
    {
        $data = [];
        $getLocation = $this->query("SELECT * FROM tbl_location;");

        if($getLocation) {
            $data["code"] = $getLocation->currency;
            $data["symbol"] = html_entity_decode(isset($getLocation->symbol) ? $getLocation->symbol : '&#163;', ENT_NOQUOTES, 'UTF-8');
        } else {
            $data["code"] = "GBP";
            $data["symbol"] = html_entity_decode('&#163;', ENT_NOQUOTES, 'UTF-8');
        }

        return $data;
    }
}
