<?php
 namespace App\Models;
 require '../config/env.php';
 Class ClientHome extends DB
 {
   
   private $db;
   
   private $getClient;

   public $client_id;

    function __construct($domain=null) 
    {
        $this->db = new DB();
     
        if($domain!=null)
        {
           $getClientDetails=$this->db->getClientDetailsByDomain($domain);
           $client_id=isset($getClientDetails->client_id)?$getClientDetails->client_id:'';
           $this->getClient=new Client($client_id);
          
           $this->client_id = $client_id;
        }
    }

    public function getCidAndPath($domain)
    {
          $getClientDetails  = $this->db->getClientDetailsByDomain($domain);
          $getClientDetails  = json_decode(json_encode($getClientDetails), true);
          return $getClientDetails;
    }
    public function getLandingPageConfig()
    {
         
          $getLandingPageConfig = $this->getClient->query("CALL getLandingPageConfig()");
          
          return $getLandingPageConfig;
    }
    public function gettablegallerydata(){

        $getLandingPageConfig = $this->getClient->query("CALL getTableGallery()");
        return $getLandingPageConfig;
    }
    public function getTableGalleryByStatus($sts){
        $getTablegallery = $this->getClient->queryall("CALL getTableGalleryByStatus($sts)");
        return $getTablegallery;
    }
    public function getTableOffer(){
        $getTableOffer = $this->getClient->query("CALL getFlatOfferdata()");
        return $getTableOffer;
    }
    public function getTablePagedata(){
        $getMenuImg = $this->getClient->queryall("CALL getTablePagedata()");
        return $getMenuImg;
    }
    public function getMenuimgdata(){
        $getMenuImg = $this->getClient->queryall("CALL getMenuimgdata()");
        return $getMenuImg;
    }
    function select_rest_timings()
	{
		return $this->getClient->query("SELECT * FROM `tbl_rest_timings`");
	}
    public function getContacts()
    {
          
           $getContacts = $this->getClient->query("CALL getContacts()");
           
           return $getContacts;
    }
    public function getButtonStatus()
    {
          
           $getButtonStatus = $this->getClient->query("CALL getButtonStatus()");
           
           return $getButtonStatus;
    }
    public function getbannerContents()
    {
         
          $getbannerContents = $this->getClient->queryall("CALL getbannerContents()");
          
          return $getbannerContents;
    }
    public function getofferbanner(){
         
          $getofferbanner = $this->getClient->queryall("CALL getofferbanner()");
          
          return $getofferbanner;
    }
    public function getMealDealContent()
    {
         
          $getMealDealContent = $this->getClient->query("CALL getMealDealContent()");
          
          return $getMealDealContent;
    }
    public function getMealDealItems($client_id)
    {
          $numericDayOfWeek = date('N');
          $getMealDealItems = $this->db->queryall("CALL getMealDealItems($client_id, $numericDayOfWeek)");
          
          return $getMealDealItems;
    }
    public function getAboutUs()
    {
         
          $getAboutUs = $this->getClient->query("CALL getAboutUs()");
          
          return $getAboutUs;
    }
    public function getSignUp()
    {
         
          $getSignUp = $this->getClient->query("CALL getSignUp()");
          
          return $getSignUp;
    }
    public function getGalleryImages()
    {
         
          $getGalleryImages = $this->getClient->queryall("CALL getGalleryImages()");
          
          return $getGalleryImages;
    }

    public function getGalleryContent()
    {
         
          $getGalleryContent = $this->getClient->query("CALL getGalleryContent()");
          
          return $getGalleryContent;
    }

    public function getBookContent()
    {
         
          $getBookContent = $this->getClient->query("CALL getBookContent()");
          
          return $getBookContent;
    }
    
    public function getReviewContent()
    {
         
          $getReviewContent = $this->getClient->query("CALL getReviewContent()");
          
          return $getReviewContent;
    }
    public function getFeedbackContent()
    {
         
          $getFeedbackContent = $this->getClient->query("CALL getFeedbackContent()");
          
          return $getFeedbackContent;
    }
    public function getFeedback()
    {
         
          $getFeedback = $this->getClient->queryall("CALL getFeedback()");
          
          return $getFeedback;
    }

    public function getFoodHygiene()
    {
         
          $getFoodHygiene = $this->getClient->query("CALL getFoodHygiene()");
          
          return $getFoodHygiene;
    }
    public function getsmsSetting($domain)
    {
       
        $getsmsSetting = $this->getClient->query("CALL getsmsSetting()");
        
        return $getsmsSetting;
    }
    public function getnotification($domain)
    {
       
        $getnotification = $this->getClient->query("CALL getnotification()");
        
        return $getnotification;
    }

    public function getStyle($domain)
    {
       
        $getStyle = $this->getClient->query("CALL getStyle()");
        
        $getStyle = json_decode(json_encode($getStyle), true);
        return $getStyle;
    }

    public function getDays(){
        
        $getDaysContact = $this->getClient->queryall("CALL getDays()");
       
        return $getDaysContact;
    }
    public function getAllowBar(){
     
        $getAllowContact = $this->getClient->queryall("CALL getAllowBar()");
        
        return $getAllowContact;
    }
    public function getSocialUrl(){
       
        $getSocialUrl = $this->getClient->query("CALL getSocialUrl()");
        
        return $getSocialUrl;
    }
    public function getMenuImage(){
       
        $getMenuImage = $this->getClient->queryall("CALL getMenuImage()");
      
        return $getMenuImage;
    }
    public function getAboutBusinessTime($domain,$orderMode, $currentTime)
    {
        $getMode = $_ENV['getAboutBusinessTime']['getMode'];
        $getOrderMode = str_split($getMode);

        if($orderMode == 0) 
        {
            $type1 = $_ENV['getAboutBusinessTime']['delivery_type1'];
            $type2 = $_ENV['getAboutBusinessTime']['delivery_type2'];
            $type  = $_ENV['getAboutBusinessTime']['delivery_type'];
        } elseif($orderMode == 1) 
        {
            $type1 = $_ENV['getAboutBusinessTime']['collection_type1'];
            $type2 = $_ENV['getAboutBusinessTime']['collection_type2'];
            $type  = $_ENV['getAboutBusinessTime']['collection_type'];
        }

        $hours = date('H', $currentTime);
        $hourMinutes = date('H:i', $currentTime);
        $currentDate = strtotime(date('d-m-Y', $currentTime));
        $previousDate = strtotime(date('d-m-Y',(strtotime ( '-1 day' , $currentTime))));
       

        if($previousDate == "")
        {
          $day = date('N');
        } else{
          $day = date('N', $previousDate);
        }

        $getPreShiftTime = $this->getClient->queryall("call getShift($day)");

        if($currentDate == "")
        {
          $day = date('N');
        } else{
          $day = date('N', $currentDate);
        }

        $getCurrentShiftTime = $this->getClient->queryall("call getShift($day)");
        $getShiftTime = array_merge($getPreShiftTime, $getCurrentShiftTime);

        # business shift functionality
        if(count($getShiftTime) != 0) {
            $timing = array();
            foreach($getShiftTime as $shift) {
                $time_1 = $shift->$type1;
                $time_2 = $shift->$type2;
    
                if($time_1 != "" && $time_2 != "")
                {
                    # get start time based on current time
                    $day = date('N', $currentDate);
                    if($day > $shift->day || $day < $shift->day) {
                        $startTimestamp = ("08:00" < $time_1) ? "00:00" : $time_1;
                        $endTimestamp = ("08:00" > $time_2) ? $time_2 : "";
                    } else if($day == $shift->day)
                    {
                        $startTimestamp = $time_1;
                        $endTimestamp = ("08:00" < $time_2) ? $time_2 : "23:59";
                    }
                    # get start and end date
                    $startDate = date('d-m-Y', $currentDate);
                    $endDate = date('d-m-Y', $currentDate);
                    if(in_array($orderMode, $getOrderMode))
                    {
                        if($shift->$type == 1)
                        {
                            if($startTimestamp != "" && $endTimestamp != "")
                            {
                                $startTime = strtotime($startDate." ".$startTimestamp);
                                $targetTime = strtotime($endDate." ".$endTimestamp);
                                $time =  date('H:i', $startTime) .' - '. date('H:i', $targetTime);
                                array_push($timing, $time);
                            }
                        }
                    }
                }
            }
            return $timing;
        } else {
            return "Shift closed";
        }
    }

    public function checkAvailableItem($categoryTime, $subCategoryTime, $itemTime, $currentTime)
    {
        # item available function based on category,sub category and item working times 
        $available = "";
        if($categoryTime != "") {
            $categoryTimes = explode('-', $categoryTime);
            $categoryFrom = strtotime($categoryTimes[0]);
            $categoryTo = strtotime($categoryTimes[1]);
            if($categoryFrom <= $currentTime && $categoryTo >= $currentTime) {
                if($subCategoryTime != "") {
                    $subCategoryTimes = explode('-', $subCategoryTime);
                    $subCategoryFrom = strtotime($subCategoryTimes[0]);
                    $subCategoryTo = strtotime($subCategoryTimes[1]);
                    if($subCategoryFrom <= $currentTime && $subCategoryTo >= $currentTime) {
                        if($itemTime != "") {
                            $itemTimes = explode('-', $itemTime);
                            $itemFrom = strtotime($itemTimes[0]);
                            $itemTo = strtotime($itemTimes[1]);
                            if($itemFrom <= $currentTime && $itemTo >= $currentTime) {
                                $available = "";
                            } else {
                                $available = "Available at ".$itemTime;
                            }
                        }
                    } else {
                        $available = "Available at ".$subCategoryTime;
                    }
                } else {
                    if($itemTime != "") {
                        $itemTimes = explode('-', $itemTime);
                        $itemFrom = strtotime($itemTimes[0]);
                        $itemTo = strtotime($itemTimes[1]);
                        if($itemFrom <= $currentTime && $itemTo >= $currentTime) {
                            $available = "";
                        } else {
                            $available = "Available at ".$itemTime;
                        }
                    }
                }
            } else {
                $available = "Available at ".$categoryTime;
            }
        } else {
            if($subCategoryTime != "") {
                $subCategoryTimes = explode('-', $subCategoryTime);
                $subCategoryFrom = strtotime($subCategoryTimes[0]);
                $subCategoryTo = strtotime($subCategoryTimes[1]);
                if($subCategoryFrom <= $currentTime && $subCategoryTo >= $currentTime) {
                    if($itemTime != "") {
                        $itemTimes = explode('-', $itemTime);
                        $itemFrom = strtotime($itemTimes[0]);
                        $itemTo = strtotime($itemTimes[1]);
                        if($itemFrom <= $currentTime && $itemTo >= $currentTime) {
                            $available = "";
                        } else {
                            $available = "Available at ".$itemTime;
                        }
                    } else {
                        $available = "";
                    }
                } else {
                    $available = "Available at ".$subCategoryTime;
                }
            } else {
                if($itemTime != "") {
                    $itemTimes = explode('-', $itemTime);
                    $itemFrom = strtotime($itemTimes[0]);
                    $itemTo = strtotime($itemTimes[1]);
                    if($itemFrom <= $currentTime && $itemTo >= $currentTime) {
                        $available = "";
                    } else {
                        $available = "Available at ".$itemTime;
                    }
                } else {
                    $available = "";
                }
            }
        } 
        return $available;
    }

    public function getItemPriceValue($itemPrice, $increaseType, $percentageType, $extraPrice, $priceEnable, $priceMode, $orderMode)
    {

        if($percentageType == 1) {
            $extra = $extraPrice;
        } else {
            $extra = $itemPrice*$extraPrice/100;
        }

        if(strpos($priceMode,"12") !== false) {
            $priceMode = '2';
        } else {
            if(strpos($priceMode,"1") !== false) {
                $priceMode = '0';
            } 
            if(strpos($priceMode,"2") !== false) {
                $priceMode = '1';
            }
        }

        if(((($priceMode == 0 || $priceMode == 2)) || ($orderMode == 1 && ($priceMode == 1 || $priceMode == 2)))) {
            if(strpos($priceEnable,"2") !== false) {
                if($increaseType == 1) {
                    return number_format($itemPrice-$extra,2);
                } else {
                    return number_format($itemPrice+$extra,2);
                }
            } else {
                return number_format($itemPrice,2);
            }
        } else {
            return number_format($itemPrice,2);
        }
    }

    public function getAppBannerDetails($domain,$client_id)
    {
       
        $getLandingPageConfig=$this->getClient->query("CALL getLandingPageConfig()");
        $app_banner_config=false;
        if(isset($getLandingPageConfig->app_banner) && $getLandingPageConfig->app_banner==1)
        {
            $app_banner_config=true;
        }
        if($app_banner_config)
        {
           
            $getAppBannerDetails = $this->getClient->query("CALL getAppBannerConfig()");
          
            if(isset($getAppBannerDetails->id))
            {
                $result=array(
                    'appBannerImage'=>"https://fusionbucket.co.uk/app_banner/$client_id/".$getAppBannerDetails->app_banner,
                    'content'=>$getAppBannerDetails->content,
                );
                return $result;
            }
            else
            {
                return false;
            }
        }
        else
        {
            return false;
        }
        
    }

    public function getBannerDealCss()
    {
        return $this->getClient->query("CALL getBannerContent()");
    }

    public function getOurBranchConfig()
    {
        return $this->getClient->query("CALL getOurBranchConfig()");
    }

    public function getOurBranchDetailsConfig()
    {
        return $this->getClient->queryAll("CALL getOurBranchDetailsConfig()");
    }

    public function getGalleryGridConfig()
    {
        return $this->getClient->query("CALL getGalleryGridConfig()");
    }

    
    public function getGalleryGridDetails()
    {
        return $this->getClient->queryAll("CALL getGalleryGridDetails()");
    }

    public function getAdditionalButtons()
    {
        return $this->getClient->queryAll("CALL getAdditionalButtons()");
    }

    public function getPromotionContent()
    {
        return $this->getClient->query("CALL getTblPromotion()");
    }

    public function getLandingPageLayout()
    {
        return $this->getClient->query("CALL getLandingPageLayout()");
    }

    public function getFontConfig()
    {
        return $this->getClient->query("CALL getFontConfig()");
    }
    public function getStyleColor()
    {
       
        $getStyle = $this->getClient->query("CALL getStyle()");
        
       
        return $getStyle;
    }

    public function getLocation()
    {
        $location = $this->getClient->query("SELECT * FROM `tbl_location`");

        return [
            'code' => (isset($location->currency) ? $location->currency : "GBP"),
            'symbol' => html_entity_decode((isset($location->symbol) ? $location->symbol : '&#163;'), ENT_NOQUOTES, 'UTF-8')
        ];
    }
    public function connectionClose()
    {
        $this->getClient->connectionClose();
    }
 }

 