<?php

namespace App\Models;

class MenuClientAction extends DB
{
  public function InsertCategory($val)
  {
    if (!isset($val['id']) || empty($val['id'])) {
        $val['id'] = 0;
    }

    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);
      
      $client->query(
        "INSERT INTO `tbl_catagery` (
                `name`, 
                `image`, 
                `options`, 
                `coupon`, 
                `icon`, 
                `working_days`, 
                `order`, 
                `offorder`, 
                `status`, 
                `background`, 
                `forground`,
                `aname`, 
                `Visible`, 
                `offer`, 
                `allowoffer`, 
                `allowgift`, 
                `working_time1`, 
                `working_time2`, 
                `working_time3`, 
                `working_time4`, 
                `working_time5`, 
                `working_time6`, 
                `working_time7`,
                `mealDealStatus`
            ) VALUES (
                '$val[name]',
                '$val[image]',
                '$val[options]',
                '$val[coupon]',
                '$val[icon]',
                '$val[working_days]',
                '$val[order]',
                '$val[offorder]',
                '$val[status]',
                '$val[background]',
                '$val[forground]',
                '$val[aname]',
                '$val[visible]',
                '$val[offer]',
                '$val[allowoffer]',
                '$val[allowgift]',
                '$val[mon_time]',
                '$val[tue_time]',
                '$val[wed_time]',
                '$val[thu_time]',
                '$val[fri_time]',
                '$val[sat_time]',
                '$val[sun_time]',
                '$val[mealDealStatus]'
            )");
            
      $id = $client->lastInsertId();
      
      if ($id)
      {
        $val['id'] = $id;
      }
    }
    
    # Menu sync - stop

    return $this->query("CALL InsertCategory(
          '$val[name]',
          '$val[client_id]',
          '$val[image]',
          '$val[options]',
          '$val[coupon]',
          '$val[icon]',
          '$val[working_days]',
          '$val[order]',
          '$val[offorder]',
          '$val[status]',
          '$val[background]',
          '$val[forground]',
          '$val[aname]',
          '$val[visible]',
          '$val[offer]',
          '$val[allowoffer]',
          '$val[allowgift]',
          '$val[mon_time]',
          '$val[tue_time]',
          '$val[wed_time]',
          '$val[thu_time]',
          '$val[fri_time]',
          '$val[sat_time]',
          '$val[sun_time]',
          '$val[mealDealStatus]',
          '$val[id]',
          @insert_id)");
  }

  public function updateCategory($val)
  {
    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);
      
      $client->query(
        "UPDATE tbl_catagery
                SET
                    `name` = '$val[name]',
                    `image` = '$val[image]',
                    `options` = '$val[options]',
                    `coupon` = '$val[coupon]',
                    `icon` = '$val[icon]',
                    `working_days` = '$val[working_days]',
                    `order` = '$val[order]',
                    `offorder` = '$val[offorder]',
                    `status` = '$val[status]',
                    `background` = '$val[background]',
                    `forground` = '$val[forground]',
                    `aname` = '$val[aname]',
                    `visible` = '$val[visible]',
                    `offer` = '$val[offer]',
                    `allowoffer` = '$val[allowoffer]',
                    `allowgift` = '$val[allowgift]',
                    `working_time1` = '$val[mon_time]',
                    `working_time2` = '$val[tue_time]',
                    `working_time3` = '$val[wed_time]',
                    `working_time4` = '$val[thu_time]',
                    `working_time5` = '$val[fri_time]',
                    `working_time6` = '$val[sat_time]',
                    `working_time7` = '$val[sun_time]',
                    `mealDealStatus` = '$val[mealDealStatus]'
                WHERE
                    `id` = '$val[id]'");
    }

    # Menu sync - stop

    return $this->query(
      "CALL updateCategory(
          '$val[name]',
          '$val[client_id]',
          '$val[image]',
          '$val[options]',
          '$val[coupon]',
          '$val[icon]',
          '$val[working_days]',
          '$val[order]',
          '$val[offorder]',
          '$val[status]',
          '$val[background]',
          '$val[forground]',
          '$val[aname]',
          '$val[visible]',
          '$val[offer]',
          '$val[allowoffer]',
          '$val[allowgift]',
          '$val[mon_time]',
          '$val[tue_time]',
          '$val[wed_time]',
          '$val[thu_time]',
          '$val[fri_time]',
          '$val[sat_time]',
          '$val[sun_time]',
          '$val[mealDealStatus]',
          '$val[id]')"
    );
  }

  public function deleteCategory($val)
  {
    # Menu sync - start

    if ($val['client_id']) {
      $client = new Client($val['client_id']);

      $client->query(
        "DELETE FROM tbl_catagery WHERE `id` = '$val[id]'"
      );
    }

    # Menu sync - stop

    return $this->query("CALL deleteCategory('$val[client_id]','$val[id]')");
  }

  public function updateSubCategory($val)
  {
    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);
      
      $client->query(
        "UPDATE tbl_subcatagery
                SET
                    `name` = '$val[name]',
                    `description` = '$val[description]',
                    `image` = '$val[image]',
                    `options` = '$val[options]',
                    `coupon` = '$val[coupon]',
                    `icon` = '$val[icon]',
                    `working_days` = '$val[working_days]',
                    `order` = '$val[order]',
                    `status` = '$val[status]',
                    `background` = '$val[background]',
                    `forground` = '$val[forground]',
                    `aname` = '$val[aname]',
                    `visible` = '$val[visible]',
                    `allowoffer` = '$val[allowoffer]',
                    `allowgift` = '$val[allowgift]',
                    `working_time1` = '$val[mon_time]',
                    `working_time2` = '$val[tue_time]',
                    `working_time3` = '$val[wed_time]',
                    `working_time4` = '$val[thu_time]',
                    `working_time5` = '$val[fri_time]',
                    `working_time6` = '$val[sat_time]',
                    `working_time7` = '$val[sun_time]',
                    `catagery_id` = '$val[catagery_id]'
                WHERE
                    `id` = '$val[id]'");
    }

    # Menu sync - stop

    return $this->query("CALL updateSubCategory(
     '$val[name]',
     '$val[description]',
     '$val[image]',
     '$val[options]',
     '$val[coupon]',
     '$val[icon]',
     '$val[working_days]',
     '$val[order]',
     '$val[status]',
     '$val[background]',
     '$val[forground]',
     '$val[aname]',
     '$val[visible]',
     '$val[allowoffer]',
     '$val[allowgift]',
     '$val[mon_time]',
     '$val[tue_time]',
     '$val[wed_time]',
     '$val[thu_time]',
     '$val[fri_time]',
     '$val[sat_time]',
     '$val[sun_time]',
     '$val[catagery_id]',
     '$val[id]',
     '$val[client_id]')
     ");
  }
  
  public function deleteSubCategory($val)
  {
    # Menu sync - start

    if ($val['client_id']) {
      $client = new Client($val['client_id']);

      $client->query(
        "DELETE FROM tbl_subcatagery WHERE `id` = '$val[id]'"
      );
    }

    # Menu sync - stop

    return $this->query("CALL deleteSubCategory('$val[client_id]','$val[id]')");
  }

  public function insertSubcat($val)
  {
    if (!isset($val['id']) || empty($val['id'])) {
        $val['id'] = 0;
    }

    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);

      $client->query(
        "INSERT INTO `tbl_subcatagery` (
          `name`,
          `aname`,
          `catagery_id`,
          `description`,
          `options`,
          `image`,
          `icon`,
          `visible`,
          `coupon`,
          `allowoffer`,
          `allowgift`,
          `working_days`,
          `order`,
          `status`,
          `working_time1`,
          `working_time2`,
          `working_time3`,
          `working_time4`,
          `working_time5`,
          `working_time6`,
          `working_time7`
      ) VALUES (
          '$val[name]',
          '$val[aname]',
          '$val[catagery_id]',
          '$val[description]',
          '$val[options]',
          '$val[image]',
          '$val[icon]',
          '$val[visible]',
          '$val[coupon]',
          '$val[allowoffer]',
          '$val[allowgift]',
          '$val[working_days]',
          '$val[order]',
          '$val[status]',
          '$val[mon_time]',
          '$val[tue_time]',
          '$val[wed_time]',
          '$val[thu_time]',
          '$val[fri_time]',
          '$val[sat_time]',
          '$val[sun_time]')"
      );
            
      $id = $client->lastInsertId();
      
      if ($id)
      {
        $val['id'] = $id;
      }
    }

    # Menu sync - stop

    return $this->query(
      "CALL InsertSub(
      '$val[client_id]',
      '$val[name]',
      '$val[aname]',
      '$val[catagery_id]',
      '$val[description]',
      '$val[options]',
      '$val[image]',
      '$val[icon]',
      '$val[visible]',
      '$val[coupon]',
      '$val[allowoffer]',
      '$val[allowgift]',
      '$val[working_days]',
      '$val[order]',
      '$val[status]',
      '$val[mon_time]',
      '$val[tue_time]',
      '$val[wed_time]',
      '$val[thu_time]',
      '$val[fri_time]',
      '$val[sat_time]',
      '$val[sun_time]',
      '$val[id]',
      @insert_id)"
    );
  }

  public function insertItem($val)
  {
    if (!isset($val['id']) || empty($val['id'])) {
        $val['id'] = 0;
    }

    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);

      $client->query(
        "INSERT INTO `tbl_items` (
        `sid`, 
        `name`, 
        `code`, 
        `description`, 
        `product_price`, 
        `price`, 
        `delivery_price`, 
        `collection_price`, 
        `instore_price`,
        `deliveroo_price`, 
        `justeat_price`, 
        `uber_eat_price`, 
        `coupon`, 
        `working_days`, 
        `image`, 
        `icon`, 
        `multi_image`, 
        `options`, 
        `order`, 
        `status`, 
        `freeaddon`, 
        `addon`, 
        `base`, 
        `drink`, 
        `aname`, 
        `Visible`, 
        `allowoffer`, 
        `allowgift`, 
        `working_time1`, 
        `working_time2`, 
        `working_time3`, 
        `working_time4`, 
        `working_time5`, 
        `working_time6`, 
        `working_time7`, 
        `item_type`, 
        `vat`, 
        `printer`, 
        `background`, 
        `forground`, 
        `emojiName`, 
        `type`, 
        `age_restriction`,
        `fmb_sts`
    ) VALUES (
        '$val[sid]',	
        '$val[name]',	
        '$val[code]',	
        '$val[description]',	
        '$val[product_price]',	
        '$val[price]',	
        '$val[delivery_price]',	
        '$val[collection_price]',	
        '$val[instore_price]',	
        '$val[deliveroo_price]',	
        '$val[justeat_price]',	
        '$val[uber_eat_price]',	
        '$val[coupon]',	
        '$val[working_days]',	
        '$val[image]',	
        '$val[icon]',	
        '$val[multi_image]',	
        '$val[options]',
        '$val[order]',	
        '$val[status]',	
        '$val[freeaddon]',	
        '$val[addon]',	
        '$val[base]',	
        '$val[drink]',	
        '$val[aname]',	
        '$val[visible]',	
        '$val[allowoffer]',	
        '$val[allowgift]',	
        '$val[working_time1]',	
        '$val[working_time2]',	
        '$val[working_time3]',	
        '$val[working_time4]',	
        '$val[working_time5]',	
        '$val[working_time6]',	
        '$val[working_time7]',	
        '$val[item_type]',	
        '$val[vat]',	
        '$val[printer]',	
        '$val[background]',
        '$val[forground]',
        '$val[emojiName]',	
        '$val[type]',
        '$val[age_restriction]',
        '$val[fmb_sts]'
    )");
            
      $id = $client->lastInsertId();
      
      if ($id)
      {
        $val['id'] = $id;
      }
    }

    # Menu sync - stop

    return $this->query(
      "CALL InsertItem(
              '$val[client_id]',	
              '$val[sid]',	
              '$val[name]',	
              '$val[code]',	
              '$val[description]',	
              '$val[product_price]',	
              '$val[price]',	
              '$val[delivery_price]',	
              '$val[collection_price]',	
              '$val[instore_price]',	
              '$val[deliveroo_price]',	
              '$val[justeat_price]',	
              '$val[uber_eat_price]',	
              '$val[coupon]',	
              '$val[working_days]',	
              '$val[image]',	
              '$val[icon]',	
              '$val[multi_image]',	
              '$val[options]',
              '$val[order]',	
              '$val[status]',	
              '$val[freeaddon]',	
              '$val[addon]',	
              '$val[base]',	
              '$val[drink]',	
              '$val[aname]',	
              '$val[visible]',	
              '$val[allowoffer]',	
              '$val[allowgift]',	
              '$val[working_time1]',	
              '$val[working_time2]',	
              '$val[working_time3]',	
              '$val[working_time4]',	
              '$val[working_time5]',	
              '$val[working_time6]',	
              '$val[working_time7]',	
              '$val[item_type]',	
              '$val[vat]',	
              '$val[printer]',	
              '$val[background]',
              '$val[forground]',
              '$val[emojiName]',	
              '$val[type]',
              '$val[age_restriction]',
              '$val[fmb_sts]',
              '$val[id]',	
              @insert_id)"
            );
  }

  public function updateItem($val)
  {
    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);
      
      $client->query(
        "UPDATE tbl_items
                SET
                    `sid` = '$val[sid]',
                    `name` = '$val[name]',
                    `code` = '$val[code]',
                    `description` = '$val[description]',
                    `product_price` = '$val[product_price]',
                    `price` = '$val[price]',
                    `delivery_price` = '$val[delivery_price]',
                    `collection_price` = '$val[collection_price]',
                    `instore_price` = '$val[instore_price]',
                    `deliveroo_price` = '$val[deliveroo_price]',
                    `justeat_price` = '$val[justeat_price]',
                    `uber_eat_price` = '$val[uber_eat_price]',
                    `coupon` = '$val[coupon]',
                    `working_days` = '$val[working_days]',
                    `image` = '$val[image]',
                    `icon` = '$val[icon]',
                    `multi_image` = '$val[multi_image]',
                    `options` = '$val[options]',
                    `order` = '$val[order]',
                    `status` = '$val[status]',
                    `freeaddon` = '$val[freeaddon]',
                    `addon` = '$val[addon]',
                    `base` = '$val[base]',
                    `drink` = '$val[drink]',
                    `aname` = '$val[aname]',
                    `Visible` = '$val[visible]',
                    `allowoffer` = '$val[allowoffer]',
                    `allowgift` = '$val[allowgift]',
                    `working_time1` = '$val[working_time1]',
                    `working_time2` = '$val[working_time2]',
                    `working_time3` = '$val[working_time3]',
                    `working_time4` = '$val[working_time4]',
                    `working_time5` = '$val[working_time5]',
                    `working_time6` = '$val[working_time6]',
                    `working_time7` = '$val[working_time7]',
                    `item_type` = '$val[item_type]',
                    `vat` = '$val[vat]',
                    `printer` = '$val[printer]',
                    `background` = '$val[background]',
                    `forground` = '$val[forground]',
                    `emojiName` = '$val[emojiName]',
                    `type` = '$val[type]',
                    `age_restriction` = '$val[age_restriction]',
                    `fmb_sts` = '$val[fmb_sts]'
                WHERE
                    `id` = '$val[id]'");
    }

    # Menu sync - stop

    return $this->query(
      "UPDATE tbl_items
                SET
                    `sid` = '$val[sid]',
                    `name` = '$val[name]',
                    `code` = '$val[code]',
                    `description` = '$val[description]',
                    `product_price` = '$val[product_price]',
                    `price` = '$val[price]',
                    `delivery_price` = '$val[delivery_price]',
                    `collection_price` = '$val[collection_price]',
                    `instore_price` = '$val[instore_price]',
                    `deliveroo_price` = '$val[deliveroo_price]',
                    `justeat_price` = '$val[justeat_price]',
                    `uber_eat_price` = '$val[uber_eat_price]',
                    `coupon` = '$val[coupon]',
                    `working_days` = '$val[working_days]',
                    `image` = '$val[image]',
                    `icon` = '$val[icon]',
                    `multi_image` = '$val[multi_image]',
                    `options` = '$val[options]',
                    `order` = '$val[order]',
                    `status` = '$val[status]',
                    `freeaddon` = '$val[freeaddon]',
                    `addon` = '$val[addon]',
                    `base` = '$val[base]',
                    `drink` = '$val[drink]',
                    `aname` = '$val[aname]',
                    `Visible` = '$val[visible]',
                    `allowoffer` = '$val[allowoffer]',
                    `allowgift` = '$val[allowgift]',
                    `working_time1` = '$val[working_time1]',
                    `working_time2` = '$val[working_time2]',
                    `working_time3` = '$val[working_time3]',
                    `working_time4` = '$val[working_time4]',
                    `working_time5` = '$val[working_time5]',
                    `working_time6` = '$val[working_time6]',
                    `working_time7` = '$val[working_time7]',
                    `item_type` = '$val[item_type]',
                    `vat` = '$val[vat]',
                    `printer` = '$val[printer]',
                    `background` = '$val[background]',
                    `forground` = '$val[forground]',
                    `emojiName` = '$val[emojiName]',
                    `type` = '$val[type]',
                    `age_restriction` = '$val[age_restriction]',
                    `fmb_sts` = '$val[fmb_sts]'
                WHERE
                    `id` = '$val[id]' AND `client_id` = '$val[client_id]'"
    );
  }

  public function deleteItem($val)
  {
    # Menu sync - start

    if ($val['client_id']) {
      $client = new Client($val['client_id']);

      $client->query(
        "DELETE FROM tbl_items WHERE `id` = '$val[id]'"
      );
    }

    # Menu sync - stop

    return $this->query("CALL deleteItem('$val[client_id]','$val[id]')");
  }

  public function insertAddon($val)
  {
    if (!isset($val['id']) || empty($val['id'])) {
        $val['id'] = 0;
    }

    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);

      $client->query(
          "INSERT INTO `tbl_addon` (
          `iid`, 
          `name`, 
          `icon`, 
          `description`, 
          `limit`, 
          `status`, 
          `sort`, 
          `next`, 
          `aname`, 
          `ne_ex`, 
          `Visible`, 
          `background`, 
          `forground`
        ) VALUES (
          '$val[iid]',
          '$val[name]',
          '$val[icon]',
          '$val[description]',
          '$val[limit]',
          '$val[status]',
          '$val[sort]',
          '$val[next]',
          '$val[aname]',
          '$val[ne_ex]',
          '$val[Visible]',
          '$val[background]',
          '$val[forground]'
        )");
            
      $id = $client->lastInsertId();
      
      if ($id)
      {
        $val['id'] = $id;
      }
    }

    # Menu sync - stop

    return $this->query("CALL insertAddon(
      '$val[client_id]',
      '$val[iid]',
      '$val[name]',
      '$val[icon]',
      '$val[description]',
      '$val[limit]',
      '$val[status]',
      '$val[sort]',
      '$val[next]',
      '$val[aname]',
      '$val[ne_ex]',
      '$val[Visible]',
      '$val[background]',
      '$val[forground]',
      '$val[id]',
      @insert_id)");
  }

  public function updateAddon($val)
  {
    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);
      
      $client->query(
        "UPDATE `tbl_addon`
                SET 
                    `iid` = '$val[iid]',
                    `name` = '$val[name]',
                    `icon` = '$val[icon]',
                    `description` = '$val[description]',
                    `limit` = '$val[limit]',
                    `status` = '$val[status]',
                    `sort` = '$val[sort]',
                    `next` = '$val[next]',
                    `aname` = '$val[aname]',
                    `ne_ex` = '$val[ne_ex]',
                    `Visible` = '$val[Visible]',
                    `background` = '$val[background]',
                    `forground` = '$val[forground]'
                WHERE
                    `id` = '$val[id]'");
    }

    # Menu sync - stop

    return $this->query("CALL updateAddon(
      '$val[id]',
      '$val[client_id]',
      '$val[iid]',
      '$val[name]',
      '$val[icon]',
      '$val[description]',
      '$val[limit]',
      '$val[status]',
      '$val[sort]',
      '$val[next]',
      '$val[aname]',
      '$val[ne_ex]',
      '$val[Visible]',
      '$val[background]',
      '$val[forground]')");
  }

  public function deleteAddon($val)
  {
    # Menu sync - start

    if ($val['client_id']) {
      $client = new Client($val['client_id']);

      $client->query(
        "DELETE FROM tbl_addon WHERE `id` = '$val[id]'"
      );
    }

    # Menu sync - stop

    return $this->query("CALL deleteAddon('$val[client_id]','$val[id]')");
  }

  public function insertAddonItem($val)
  {
    if (!isset($val['id']) || empty($val['id'])) {
        $val['id'] = 0;
    }

    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);

      $client->query(
        "INSERT INTO `tbl_addon_items` (
                `aid`, 
                `name`, 
                `aname`, 
                `price`, 
                `order`, 
                `next`, 
                `bold`, 
                `status`, 
                `type`, 
                `icon`, 
                `Sub_Add_Items`, 
                `background`, 
                `forground`
              ) VALUES (
                '$val[aid]',
                '$val[name]',
                '$val[aname]',
                '$val[price]',
                '$val[order]',
                '$val[next]',
                '$val[bold]',
                '$val[status]',
                '$val[type]',
                '$val[icon]',
                '$val[sub_add_items]',
                '$val[background]',
                '$val[forground]'
            )");
            
      $id = $client->lastInsertId();
      
      if ($id)
      {
        $val['id'] = $id;
      }
    }

    # Menu sync - stop

    return $this->query("CALL insertAddonItem(
      '$val[aid]',
      '$val[name]',
      '$val[aname]',
      '$val[price]',
      '$val[order]',
      '$val[next]',
      '$val[bold]',
      '$val[status]',
      '$val[type]',
      '$val[icon]',
      '$val[sub_add_items]',
      '$val[background]',
      '$val[forground]',
      '$val[client_id]',
      '$val[id]',
      @insert_id)");
  }

  public function updateAddonItem($val)
  {
    # Menu sync - start

    if ($val['client_id'])
    {
      $client = new Client($val['client_id']);
      
      $client->query(
        "UPDATE `tbl_addon_items`
                SET 
                    `aid` = '$val[aid]',
                    `name` = '$val[name]',
                    `aname` = '$val[aname]',
                    `price` = '$val[price]',
                    `order` = '$val[order]',
                    `next` = '$val[next]',
                    `bold` = '$val[bold]',
                    `status` = '$val[status]',
                    `type` = '$val[type]',
                    `icon` = '$val[icon]',
                    `Sub_Add_Items` = '$val[sub_add_items]',
                    `background` = '$val[background]',
                    `forground` = '$val[forground]'
                WHERE
                    `id` = '$val[id]'");
    }

    # Menu sync - stop

    return $this->query(
      "CALL updateAddonItem(
      '$val[id]',
      '$val[aid]',
      '$val[name]',
      '$val[aname]',
      '$val[price]',
      '$val[order]',
      '$val[next]',
      '$val[bold]',
      '$val[status]',
      '$val[type]',
      '$val[icon]',
      '$val[sub_add_items]',
      '$val[background]',
      '$val[forground]',
      '$val[client_id]')"
    );
  }

  public function deleteAddonItem($val)
  {
    # Menu sync - start

    if ($val['client_id']) {
      $client = new Client($val['client_id']);

      $client->query(
        "DELETE FROM tbl_addon_items WHERE `id` = '$val[id]'"
      );
    }

    # Menu sync - stop

    return $this->query("CALL deleteAddonItem('$val[client_id]','$val[id]')");
  }

  public function getCategories($client_id)
  {
    $query = "CALL GetAllCategories($client_id)";
    return $this->queryAll($query);
  }

  public function getSubCategories($client_id)
  {
    $query = "CALL GetAllSubCategories($client_id)";
    return $this->queryAll($query);
  }

  public function getAllItems($client_id)
  {
    $query = "CALL GetAllItems($client_id)";
    return $this->queryAll($query);
  }

  public function getAllAddons($client_id)
  {
    $query = "CALL getAllAddons($client_id)";
    return $this->queryAll($query);
  }

  public function getAllAddonItems($client_id)
  {
    $query = "CALL getAllAddonItems($client_id)";
    return $this->queryAll($query);
  }

  public function getCategoryById($client_id, $cat_id)
  {
    $query = "CALL getCategoryById($client_id, $cat_id)";
    return $this->query($query);
  }

  public function getSubgroupbyCat($client_id)
  {
    $query = "CALL getSubgroupbyCat($client_id)";
    return $this->queryAll($query);
  }

  public function getSubCategoryById($client_id, $subcatId)
  {
    $query = "CALL getSubCategoryById($client_id, $subcatId)";
    return $this->query($query);
  }

  public function getSubCategoriesByCatId($cat_id)
  {
    $query = "CALL getSubCategoriesByCatId($cat_id)";
    return $this->queryAll($query);
  }

  public function getItemsBySubCatId($cat_id)
  {
    $query = "CALL getItemsBySubCatId($cat_id)";
    return $this->queryAll($query);
  }

  public function getItemsById($client_id, $item_id)
  {
    $query = "CALL getItemsById($client_id, $item_id)";
    return $this->query($query);
  }

  public function getAddonById($client_id, $addonId)
  {
    $query = "CALL getAddonById($client_id, $addonId)";
    return $this->query($query);
  }

  public function getAddonItemById($client_id, $id)
  {
    $query = "CALL getAddonItemById($client_id, $id)";
    return $this->query($query);
  }

  public function getAllAddonItemsByAddonId($client_id, $addonId)
  {
    $query = "CALL getAllAddonItemsByAddonId($client_id, $addonId)";
    return $this->queryAll($query);
  }

  public function updateStatus($client_id, $id, $status, $table)
  {
    $query = "CALL updateStatus($client_id, $id, $status, '$table')";
    return $this->query($query);
  }

  public function deleteCategoriesByClient($client_id)
  {
    return $this->query("CALL DeleteCategoriesByClient($client_id)");
  }

  public function deleteSubCategoriesByClient($client_id)
  {
    return $this->query("CALL DeleteSubCategoriesByClient($client_id)");
  }

  public function deleteAddonsByClient($client_id)
  {
    return $this->query("CALL DeleteAddonsByClient($client_id)");
  }

  public function deleteAddonItemsByClient($client_id)
  {
    return $this->query("CALL DeleteAddonItemsByClient($client_id)");
  }

  public function deleteItemsByClient($client_id)
  {
    return $this->query("CALL DeleteItemsByClient($client_id)");
  }

  public function insertRecords($table, $records, $client_id)
  {
    if (count($records)) {
      $values = [];

      // Fetch column names dynamically
      $existingColumns = array_column($this->queryAll("SHOW COLUMNS FROM `$table`"), 'Field');

      foreach ($records as $record) {
        $record['client_id'] = $client_id;

        // Filter record keys to keep only valid columns
        $filteredRecord = array_filter(
          $record,
          function ($key) use ($existingColumns) {
            return in_array($key, $existingColumns);
          },
          ARRAY_FILTER_USE_KEY
        );

        if (empty($columns)) {
          $columns = '`' . implode('`, `', array_keys($filteredRecord)) . '`';
        }

        $values[] = "(" . implode(', ', array_map(function ($value) {
          return is_numeric($value) ? "'" . $value . "'" : "'" . addslashes($value) . "'";
        }, array_values($filteredRecord))) . ")";
      }

      $values_str = implode(', ', $values);

      $query = "INSERT INTO {$table} ({$columns}) VALUES {$values_str}";
      
      return $this->query($query);
    } else {
      return false;
    }
  }
}