<?php
namespace App\Models;
use App\Helpers\SendSms;

class User extends DB
{
    public function checkCustomerByEmail($email)
    {
        return $this->query("CALL checkCustomerByEmail('$email')");
    }

    public function getUserByCid($cid, $loginType)
    {
        return $this->query("CALL getUserByCid($cid, $loginType)");
    }

    public function getUserByVerficationCode($verficationCode, $loginType)
    {
        return $this->query("CALL getUserByVCode('$verficationCode', $loginType)");
    }

    public function updateUserOtp($user_id, $otp)
    {
        $this->query("CALL updateUserOtp($user_id, $otp)");
    }

    public function createCustomerByEmail($email, $firstName, $lastName)
    {
        return $this->query("CALL createCustomerByEmail('$email', '$firstName', '$lastName', @insert_id)");
    }

    public function createUserByEmail($email, $client_id, $loginType, $verficationCode)
    {
        return $this->query("CALL createUserByEmail('$email',$client_id, $loginType, '$verficationCode')");
    }

    public function checkCustomerByMobile($phoneNumber)
    {   
        if (substr($phoneNumber, 0, 2) === "44") {
            $modifiedNumber = substr($phoneNumber, 2);
            $data = $this->query("CALL checkCustomerByMobile('$modifiedNumber')");
            if(empty($data)) {
                $modifiedNumber = "0".$modifiedNumber;
                $num = $this->query("CALL checkCustomerByMobile('$modifiedNumber')");
                if(empty($num)) {
                    return $this->query("CALL checkCustomerByMobile('$phoneNumber')");
                } else {
                    return $num;
                }
            } else {
                return $data;
            }
        } else {
            return $this->query("CALL checkCustomerByMobile('$phoneNumber')");
        }
    }

    public function createCustomerByMobile($phoneNumber, $firstName, $lastName)
    {
        return $this->query("CALL createCustomerByMobile('$phoneNumber', '$firstName', '$lastName', @insert_id)");
    }

    public function createUserByMobile($phoneNumber, $customer_id, $loginType, $verficationCode)
    {
        return $this->query("CALL createUserByMobile('$phoneNumber',$customer_id, $loginType, '$verficationCode')");
    }

    public function createCustomer($phoneNumber, $email, $firstName, $lastName)
    {
        return $this->query("CALL createCustomer('$phoneNumber', '$email', '$firstName', '$lastName', @insert_id)");
    }

    public function getCustomerPoints($customerId)
    {
        return $this->query("CALL getCustomerPoints($customerId)");
    }

    public function sendOtpSms($phoneNumber,$message) {
        $sms = new SendSms();
        $response = $sms->sendSms($phoneNumber,$message);
        return $response;
    }
}